MCPBundler Docs
MCPBundler Docs
Back to marketplaceGetting StartedAuthenticationTutorial - Bundle to Connected Agent
API Reference
Agent A2A Tools
Agent Channels
Agent Configuration (Staging)
Agent Configuration (Versions)
Agent Tools
agents
Agents
Attachments
Auth
Billing
bundler
Bundler
Bundler Tool
Bundles
Call Campaigns
Catalog
Conversations
Credentials
Deployments
Discover
Fleet
Genesys
Insights
internal
Knowledge Base Website Sources
Knowledge Bases
MCP Listings
Media
OAuth Clients
OAuth2
Observability
Organisation roles
Organisations
Bind An Org Key To A ProviderCancel Subscription ImmediatelyCancel Subscription At Period EndChange Subscription PlanClaim Organisation DomainAdd Org Provider ModelRegister Org ProviderCreate OrganisationClear Org Credential AssignmentDelete Org Provider ModelDelete Org ProviderDelete OrganisationDelete Schema Notification WebhookDelete SSO ConfigDisable SCIMGenerate SCIM TokenGet Notification Badge CountsGet OrganisationGet Recording PolicyGet SCIM StatusGet SSO ConfigInvite Organisation MemberList Organisation DomainsList Organisation MembersList My OrganisationsList Organisation BundlesList Organisation ListingsList Organisation MCPsList Org Provider ModelsList Org ProvidersList Organisation InvoicesList SCIM Role MappingsSet Org Credential AssignmentRefresh Org Provider Models From EndpointRemove Organisation DomainRemove Organisation MemberReplace SCIM Role MappingsSave SSO ConfigSet Schema Notification WebhookStart Subscription CheckoutSync SCIM UsersTest An Org Provider EndpointRemove An Org Key From A ProviderUpdate Member RoleUpdate Org Provider ModelUpdate Org ProviderUpdate Organisation VariablesUpdate OrganisationUpdate Organisation PolicyUpdate Recording PolicyVerify Organisation Domain
Providers
Reviews
Roadmap
SCIM
Simulation Tests
Suppression
Triggers
TTS
Users
Utils
Visitors
Voices
Webhooks
Workflows
API ReferenceOrganisations

List My Organisations

GET
/v1/organisations

List all organisations the authenticated user is a member of.

Membership scoping is applied by organisation_provider.search based on the security context, not by an explicit filter here.

Args: created_at: Optional FHIR-style prefixed datetime filters on creation time. updated_at: Optional FHIR-style prefixed datetime filters on last-updated time. q: Optional contains-search filter on organisation name. is_active: Optional filter on active status. provisioning_mode: Optional filter on provisioning mode (invite_only, jit, or scim). _sort: Optional sort field (name, created_at, or updated_at), with a leading "-" for descending.

Authorization

OAuth2AuthorizationCodeBearer
AuthorizationBearer <token>

In: header

Query Parameters

created_at?array<string>|

Filter by creation time, FHIR-style prefixed datetime search

updated_at?array<string>|

Filter by last-updated time, FHIR-style prefixed datetime search

q?|

Filter by organisation name (contains search)

is_active?|

Filter by active status

provisioning_mode?|

Filter by provisioning mode: invite_only, jit, scim

_sort?|

Sort field with optional - prefix for descending. Supported: name, created_at, updated_at

verify_locally?Verify Locally
Defaulttrue
_count? Count
Range1 <= value <= 100
Default100
_page? Page
Range1 <= value
Default1

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/organisations"
{  "page": 0,  "page_size": 0,  "has_next": true,  "has_previous": true,  "total_pages": 0,  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "slug": "string",      "name": "string",      "description": "string",      "avatar_url": "string",      "is_personal": false,      "owner_username": "string",      "is_active": true,      "require_sso": false,      "provisioning_mode": "invite_only",      "default_role_id": "f16726e8-3b54-4d9b-a01f-a76d5a80658c",      "created_at": "2019-08-24T14:15:22Z",      "member_count": 0,      "custom_variables": {        "property1": "string",        "property2": "string"      }    }  ]}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string"    }  ]}

List Organisation Members

Previous Page

List Organisation Bundles

Next Page